Bug 127895 - [Patch] devel/m17n-lib (and -docs, -db) to 1.5.2, some fixes and adoption
Summary: [Patch] devel/m17n-lib (and -docs, -db) to 1.5.2, some fixes and adoption
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-06 03:30 UTC by Nikola Lečić
Modified: 2009-01-11 11:20 UTC (History)
0 users

See Also:


Attachments
m17n-db-1.5.2.patch (2.52 KB, patch)
2008-10-06 03:30 UTC, Nikola Lečić
no flags Details | Diff
m17n-docs-1.5.2.patch (6.01 KB, patch)
2008-10-06 03:30 UTC, Nikola Lečić
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikola Lečić 2008-10-06 03:30:02 UTC
NOTE:
This is no. 4 of 4 PRs related to m17n ports:
2 new ports and 4 upgrades/adoptions.

I wasn't aware of ports/126799 at the time I was preparing this 6-port PR group.
However, it still differs from ports/126799 since it contains several fixes
that doesn't exist there, so I hope that my submission is worth considering
to be adopted instead. Additionally, I offer to adopt all 4 unmaintained
m17n-related ports at once (together with adding two new ones).

Fixes included in three patches attached here are:

m17n-docs:
* now all files necessary for correct HTML look are installed;

m17n-lib:
* IMHO much simpler solution for the patch-examples__Makefile.in problem than
it was offered in ports/126799.

P.S. This patch leaves files/patch-examples__Makefile.in empty.

Fix: diff -ruN m17n-lib.orig/Makefile m17n-lib/Makefile
--- m17n-lib.orig/Makefile	2008-08-20 02:56:37.000000000 +0200
+++ m17n-lib/Makefile	2008-10-06 03:13:13.000000000 +0200
@@ -6,12 +6,12 @@
 #
 
 PORTNAME=	m17n-lib
-PORTVERSION=	1.5.1
-PORTREVISION=	1
+PORTVERSION=	1.5.2
 CATEGORIES=	devel
-MASTER_SITES=	http://www.m17n.org/m17n-lib-download/
+MASTER_SITES=	http://www.m17n.org/m17n-lib-download/ \
+		http://anthesphoria.net/FreeBSD/ports/distfiles/
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	nikola.lecic@anthesphoria.net
 COMMENT=	A library for the multilingual text handling
 
 BUILD_DEPENDS=	m17n-db>=1.5.1:${PORTSDIR}/devel/m17n-db
@@ -22,9 +22,9 @@
 
 USE_XORG=	xaw xft xt
 USE_GNOME=	gnometarget libxml2 pkgconfig
-USE_AUTOTOOLS=	autoconf:262 libtool:15
+USE_AUTOTOOLS=	libtool:15
 CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
-		LDFLAGS="-L${LOCALBASE}/lib"
+		LDFLAGS="-L${LOCALBASE}/lib -lintl"
 USE_LDCONFIG=	yes
 
 OPTIONS=	ANTHY	"With Anthy support" off \
diff -ruN m17n-lib.orig/distinfo m17n-lib/distinfo
--- m17n-lib.orig/distinfo	2008-02-28 10:21:34.000000000 +0100
+++ m17n-lib/distinfo	2008-10-06 03:08:31.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (m17n-lib-1.5.1.tar.gz) = 1fc48e2e2f42a6bb966026b61834d089
-SHA256 (m17n-lib-1.5.1.tar.gz) = e06ba9e2b39553c50c903667e164b4cc2e3a44dea5a20b75c8b5799141f435f5
-SIZE (m17n-lib-1.5.1.tar.gz) = 990729
+MD5 (m17n-lib-1.5.2.tar.gz) = d4d51ff3866e702b97eb173f35eee1e3
+SHA256 (m17n-lib-1.5.2.tar.gz) = 389cc05194e9a1f9e58b186c3fcd60d7fee2a6f627c3ea8f9c944d69983721f1
+SIZE (m17n-lib-1.5.2.tar.gz) = 997592
diff -ruN m17n-lib.orig/files/patch-examples__Makefile.in m17n-lib/files/patch-examples__Makefile.in
--- m17n-lib.orig/files/patch-examples__Makefile.in	2008-02-28 10:21:35.000000000 +0100
+++ m17n-lib/files/patch-examples__Makefile.in	1970-01-01 01:00:00.000000000 +0100
@@ -1,11 +0,0 @@
---- example/Makefile.in.orig	Fri Dec 28 10:11:44 2007
-+++ example/Makefile.in	Sun Dec 30 22:34:16 2007
-@@ -328,7 +328,7 @@
- sysconfdir = @sysconfdir@
- target_alias = @target_alias@
- BASICPROGS = m17n-conv
--common_ldflags = ${top_builddir}/src/libm17n-core.la ${top_builddir}/src/libm17n.la
-+common_ldflags = ${top_builddir}/src/libm17n-core.la ${top_builddir}/src/libm17n.la $(INTLLIBS)
- common_ldflags_gui = ${common_ldflags} ${top_builddir}/src/libm17n-flt.la ${top_builddir}/src/libm17n-gui.la
- AM_CPPFLAGS = @CONFIG_FLAGS@
- m17n_date_SOURCES = mdate.c
--- m17n-lib-1.5.2.patch ends here ---
Comment 1 Martin Wilke freebsd_committer 2008-10-06 05:51:24 UTC
State Changed
From-To: open->closed

duplicate with 126799 and 127638.
Comment 2 Martin Wilke freebsd_committer 2008-10-06 06:30:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2008-10-06 06:30:45 UTC
State Changed
From-To: closed->open

reopen.
Comment 4 Martin Wilke freebsd_committer 2009-01-11 11:11:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2009-01-11 11:11:19 UTC
miwi        2009-01-11 11:11:03 UTC

  FreeBSD ports repository

  Modified files:
    devel/m17n-lib       Makefile distinfo 
    devel/m17n-db        Makefile distinfo pkg-descr pkg-plist 
    devel/m17n-docs      Makefile distinfo pkg-plist 
  Removed files:
    devel/m17n-lib/files patch-examples__Makefile.in 
  Log:
  - Update to 1.5.2
  - Pass maintainership to submitter
  
  PR:             127895
  Submitted by:   Nikola Lecic <nikola.lecic@anthesphoria.net>
  
  Revision  Changes    Path
  1.18      +3 -3      ports/devel/m17n-db/Makefile
  1.10      +3 -3      ports/devel/m17n-db/distinfo
  1.2       +3 -1      ports/devel/m17n-db/pkg-descr
  1.10      +4 -4      ports/devel/m17n-db/pkg-plist
  1.9       +11 -7     ports/devel/m17n-docs/Makefile
  1.6       +3 -3      ports/devel/m17n-docs/distinfo
  1.2       +9 -59     ports/devel/m17n-docs/pkg-plist
  1.21      +6 -6      ports/devel/m17n-lib/Makefile
  1.10      +3 -3      ports/devel/m17n-lib/distinfo
  1.3       +0 -11     ports/devel/m17n-lib/files/patch-examples__Makefile.in (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"